scala.actors.remote
class TcpServiceWorker

[source: `scala/actors/remote/TcpServiceWorker.scala`]

`` `class` TcpServiceWorker(parent : TcpService, so : java.net.Socket)
  `extends` java.lang.Thread `with` AnyRef

Value Summary
`var` | connectedNode : Node
`val` | datain : java.io.DataInputStream
`val` | dataout : java.io.DataOutputStream
`val` | in : java.io.InputStream
`val` | out : java.io.OutputStream
`var` | running : Boolean

Method Summary
`def` | halt : Unit
`def` | readNode : Unit
`override def` | run : Unit
`def` | sendNode (n : Node) : Unit
`def` | transmit (data : Array[Byte]) : Unit

Methods inherited from java.lang.Thread
java.lang.Thread.start, java.lang.Thread.stop, java.lang.Thread.stop, java.lang.Thread.interrupt, java.lang.Thread.isInterrupted, java.lang.Thread.destroy, java.lang.Thread.isAlive, java.lang.Thread.suspend, java.lang.Thread.resume, java.lang.Thread.setPriority, java.lang.Thread.getPriority, java.lang.Thread.setName, java.lang.Thread.getName, java.lang.Thread.getThreadGroup, java.lang.Thread.countStackFrames, java.lang.Thread.join, java.lang.Thread.join, java.lang.Thread.join, java.lang.Thread.setDaemon, java.lang.Thread.isDaemon, java.lang.Thread.checkAccess, java.lang.Thread.toString, java.lang.Thread.getContextClassLoader, java.lang.Thread.setContextClassLoader, java.lang.Thread.getStackTrace, java.lang.Thread.getId, java.lang.Thread.getState, java.lang.Thread.getUncaughtExceptionHandler, java.lang.Thread.setUncaughtExceptionHandler

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` in : java.io.InputStream

`` `val` out : java.io.OutputStream

`` `val` datain : java.io.DataInputStream

`` `val` dataout : java.io.DataOutputStream

`` `var` connectedNode : Node

`` `var` running : Boolean

Method Details

`` `def` sendNode(n : Node) : Unit

`` `def` readNode : Unit

`` `def` transmit(data : Array[Byte]) : Unit

`` `def` halt : Unit

`override` `def` run : Unit

Overrides
  java.lang.Thread.java.lang.Thread.run